Subject: Re: [bitcoin-dev] Revisiting NODE_BLOOM: Proposed BIP

From: Matt Corallo <[email-masked]>
Date: Mon, 24 Aug 2015 17:37:51 +0000

Its more of a statement of "in the future, we expect things to happen
which would make this an interesting thing to do, so we state here that
it is not against spec to do so". Could reword it as "NODE_BLOOM is
distinct from NODE_NETWORK, and it is legal to advertise NODE_BLOOM but
not NODE_NETWORK (though there is little reason to do so now, some
proposals may make this more useful in the future)"?

Matt

On 08/24/15 15:29, Wladimir J. van der Laan wrote:
>> NODE_BLOOM is distinct from NODE_NETWORK, and it is legal to advertise
>> NODE_BLOOM but not NODE_NETWORK (eg for nodes running in pruned mode
>> which, nonetheless, provide filtered access to the data which they do have).
> 
> But is this useful without having decided on a way to signal which blocks pruned nodes do have?
> 
> It looks like the part between paranthesis is speculation and should be left to a future BIP. 
> 
> Wladimir
>